\name{remember}
\alias{remember}
\title{Creates a function that remembers all invocations.}

\description{
  Creates a function that remembers all invocations.
}

\details{
  This is useful in conjunction with \code{\link{tee}} to
  capture all invocations of a function.
}
\value{a function that accepts all arguments and returns nothing.}
\examples{r <- remember()
r
r(1)
r
r(2); r("a"); r(TRUE)
r}
