\name{guard}
\alias{guard}
\title{Modify function to guard against incorrect inputs.}
\usage{guard(f, guard, otherwise)}

\description{
  Modify function to guard against incorrect inputs.
}

\details{
  Currently only guards the first argument to the function.
}
\arguments{
  \item{f}{function to guard}
  \item{guard}{a function that returns TRUE when the input is ok
and FALSE when it is not.}
  \item{otherwise}{If specified, the new function will return this value 
when the guard fails. If missing, the function will return its input
when the guard fails.}
}
