test_that("nchar is number of characters", {
  expect_that(nchar("a"), equals(1))
  expect_that(nchar("ab"), equals(2))
  expect_that(nchar("abc"), equals(3))
})

test_that("nchar of factor is length of level", {
  expect_that(nchar(factor("a")), equals(1))
  expect_that(nchar(factor("ab")), equals(2))
  expect_that(nchar(factor("abc")), equals(3))
})


test_that("nchar of missing string is missing", {
  expect_that(nchar(NA), equals(NA_integer_))
  expect_that(nchar(c(NA, 1)), equals(c(NA, 1)))
  expect_that(nchar("NA"), equals(2))
})